# $Revision: 1.35 $, $Date: 2008/10/27 19:53:34 $
#
# Conditional build:
%bcond_without	privacy		# more privacy
#
Summary:	Tk Jabber client
Summary(pl.UTF-8):	Klient Jabbera oparty o Tk
Name:		tkabber
Version:	0.11.1
Release:	1%{?with_privacy:.privacy}
License:	GPL
Group:		Applications/Communications
Source0:	http://files.jabber.ru/tkabber/%{name}-%{version}.tar.gz
# Source0-md5:	718db4876e7efbf44867c845cf2a35a0
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-privacy.patch
URL:		http://tkabber.jabber.ru/
BuildRequires:	sed >= 4.0
Requires:	tcl >= 8.3.4-7
Requires:	tcl-tdom >= 0.8.2
Requires:	tcllib >= 1.2
Requires:	tclsasl
Requires:	tk >= 8.3.3
Requires:	tk-BWidget >= 1.3
Suggests:	tcl-tls >= 1.4.1
Suggests:	tcl-udp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tkabber provides a Tcl/Tk interface to the Jabber instant messaging
and presence service.

Although relatively new software, Tkabber is fully-featured. Its
features include:
- emoticons
- file transfers
- avatars
- browsing

and many, many more.

You may need additional packages for full funcionality:
- tk-Img, for more image file formats support
- tclgpgme, for end-to-end message encryption and signing
- tkXwin, for auto-away

%description -l pl.UTF-8
Tkabber udostępnia interfejs Tcl/Tk dla komunikatora Jabber.

Mimo że jest to dosyć nowy program, Tkabber ma duże możliwości,
obejmujące:
- emotikony,
- przesyłanie plików,
- wcielenia,
- przeglądanie
i wiele, wiele więcej.

Do pełnej funkcjonalności mogą być potrzebne dodatkowe pakiety:
- tk-Img do obsługi większej liczby formatów plików,
- tcl-tls do szyfrowanych połączeń z serwerem,
- tclgpgme do podpisywania i szyfrowania wiadomości,
- tkXwin do auto-away.

%prep
%setup -q
%{?with_privacy:%patch0 -p1}

sed -i -e 's#ifaceck##g' Makefile

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	PREFIX="%{_prefix}" \
	DESTDIR="$RPM_BUILD_ROOT"

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS README examples
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tkabber.spec,v $
Revision 1.35  2008/10/27 19:53:34  arekm
- up to 0.11.1

Revision 1.34  2008/07/16 16:07:19  arekm
- rel 2. privacy default on

Revision 1.33  2008-06-12 15:43:20  arekm
- privacy leaves a trail in release now

Revision 1.32  2008-06-12 07:29:04  arekm
- up to 0.11.0

Revision 1.31  2008-06-04 17:06:22  arekm
- tcl-tls as suggests. New suggests tcl-udp.

Revision 1.30  2007/10/30 14:05:03  arekm
- beta2

Revision 1.29  2007/10/18 08:06:25  arekm
- up to 0.10.1 beta

Revision 1.28  2007/04/13 08:33:22  arekm
- up to 0.10.0

Revision 1.27  2007/03/12 17:44:10  arekm
- beta2

Revision 1.26  2007/02/25 16:49:44  arekm
- up to 0.10.0 beta

Revision 1.25  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.23  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.22  2006/06/17 18:46:14  megabajt
- up to 0.9.9

Revision 1.21  2006/04/15 19:26:04  qboosh
- bcond header

Revision 1.20  2006/04/08 16:06:41  arekm
- more privacy)

Revision 1.19  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.18  2005/08/31 07:12:10  ankry
- BR: "sed -i"

Revision 1.17  2005/08/27 18:20:15  arekm
- up to 0.9.8

Revision 1.16  2004/11/04 11:22:33  paladine
- rel 3 for fixed desktop file

Revision 1.15  2004/09/01 20:03:32  jajcus
- added Requires for tclsasl and tcl-tls, which are required for XMPP compliance and ejabberd comatibility

Revision 1.14  2004/08/24 22:22:57  domelu
- up to 0.9.7 (tx gozda)
- removed patch0 (plain-text password is off by default in 0.9.7)

Revision 1.13  2004/07/04 22:11:28  adamg
- applnk -> vfolders; release 2

Revision 1.12  2003/12/29 10:00:13  wiget
- updated to 0.9.6beta

Revision 1.11  2003/09/16 10:54:31  jajcus
- Release: 2
- fixed bug with establishing a session with XMPP-compliant server

Revision 1.10  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/18 10:22:55  pascalek
- updated to 0.9.5Beta

Revision 1.8  2003/06/01 15:16:32  erjot
- fix URL

Revision 1.7  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/21 14:49:27  wiget
- updated to 0.9.4beta

Revision 1.5  2003/01/20 17:09:14  qboosh
- pl description

Revision 1.4  2003/01/14 08:40:51  jajcus
- do not use plain-text password by default (defaults patch)
- icons and desktop file

Revision 1.3  2003/01/12 08:55:57  jajcus
- info about additional packages one may want to install

Revision 1.2  2003/01/11 11:55:00  jajcus
- R: tcl >= 8.3.4-7, which contains fix needed for proper handling of
  non-iso8859-1 characters

Revision 1.1  2003/01/10 20:49:23  jajcus
- initial spec
